Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
32cf::/16
First address
32cf::
Last address
32cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
32cf:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.c.2.3.ip6.arpa
Split into smaller subnets/32

32cf::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
132cf::/3232cf:0:ffff:ffff:ffff:ffff:ffff:ffff
232cf:1::/3232cf:1:ffff:ffff:ffff:ffff:ffff:ffff
332cf:2::/3232cf:2:ffff:ffff:ffff:ffff:ffff:ffff
432cf:3::/3232cf:3:ffff:ffff:ffff:ffff:ffff:ffff
532cf:4::/3232cf:4:ffff:ffff:ffff:ffff:ffff:ffff
632cf:5::/3232cf:5:ffff:ffff:ffff:ffff:ffff:ffff
732cf:6::/3232cf:6:ffff:ffff:ffff:ffff:ffff:ffff
832cf:7::/3232cf:7:ffff:ffff:ffff:ffff:ffff:ffff
932cf:8::/3232cf:8:ffff:ffff:ffff:ffff:ffff:ffff
1032cf:9::/3232cf:9:ffff:ffff:ffff:ffff:ffff:ffff
1132cf:a::/3232cf:a:ffff:ffff:ffff:ffff:ffff:ffff
1232cf:b::/3232cf:b:ffff:ffff:ffff:ffff:ffff:ffff
1332cf:c::/3232cf:c:ffff:ffff:ffff:ffff:ffff:ffff
1432cf:d::/3232cf:d:ffff:ffff:ffff:ffff:ffff:ffff
1532cf:e::/3232cf:e:ffff:ffff:ffff:ffff:ffff:ffff
1632cf:f::/3232cf:f:ffff:ffff:ffff:ffff:ffff:ffff
1732cf:10::/3232cf:10:ffff:ffff:ffff:ffff:ffff:ffff
1832cf:11::/3232cf:11:ffff:ffff:ffff:ffff:ffff:ffff
1932cf:12::/3232cf:12:ffff:ffff:ffff:ffff:ffff:ffff
2032cf:13::/3232cf:13:ffff:ffff:ffff:ffff:ffff:ffff
2132cf:14::/3232cf:14:ffff:ffff:ffff:ffff:ffff:ffff
2232cf:15::/3232cf:15:ffff:ffff:ffff:ffff:ffff:ffff
2332cf:16::/3232cf:16:ffff:ffff:ffff:ffff:ffff:ffff
2432cf:17::/3232cf:17:ffff:ffff:ffff:ffff:ffff:ffff
2532cf:18::/3232cf:18:ffff:ffff:ffff:ffff:ffff:ffff
2632cf:19::/3232cf:19:ffff:ffff:ffff:ffff:ffff:ffff
2732cf:1a::/3232cf:1a:ffff:ffff:ffff:ffff:ffff:ffff
2832cf:1b::/3232cf:1b:ffff:ffff:ffff:ffff:ffff:ffff
2932cf:1c::/3232cf:1c:ffff:ffff:ffff:ffff:ffff:ffff
3032cf:1d::/3232cf:1d:ffff:ffff:ffff:ffff:ffff:ffff
3132cf:1e::/3232cf:1e:ffff:ffff:ffff:ffff:ffff:ffff
3232cf:1f::/3232cf:1f:ffff:ffff:ffff:ffff:ffff:ffff
3332cf:20::/3232cf:20:ffff:ffff:ffff:ffff:ffff:ffff
3432cf:21::/3232cf:21:ffff:ffff:ffff:ffff:ffff:ffff
3532cf:22::/3232cf:22:ffff:ffff:ffff:ffff:ffff:ffff
3632cf:23::/3232cf:23:ffff:ffff:ffff:ffff:ffff:ffff
3732cf:24::/3232cf:24:ffff:ffff:ffff:ffff:ffff:ffff
3832cf:25::/3232cf:25:ffff:ffff:ffff:ffff:ffff:ffff
3932cf:26::/3232cf:26:ffff:ffff:ffff:ffff:ffff:ffff
4032cf:27::/3232cf:27:ffff:ffff:ffff:ffff:ffff:ffff
4132cf:28::/3232cf:28:ffff:ffff:ffff:ffff:ffff:ffff
4232cf:29::/3232cf:29:ffff:ffff:ffff:ffff:ffff:ffff
4332cf:2a::/3232cf:2a:ffff:ffff:ffff:ffff:ffff:ffff
4432cf:2b::/3232cf:2b:ffff:ffff:ffff:ffff:ffff:ffff
4532cf:2c::/3232cf:2c:ffff:ffff:ffff:ffff:ffff:ffff
4632cf:2d::/3232cf:2d:ffff:ffff:ffff:ffff:ffff:ffff
4732cf:2e::/3232cf:2e:ffff:ffff:ffff:ffff:ffff:ffff
4832cf:2f::/3232cf:2f:ffff:ffff:ffff:ffff:ffff:ffff
4932cf:30::/3232cf:30:ffff:ffff:ffff:ffff:ffff:ffff
5032cf:31::/3232cf:31:ffff:ffff:ffff:ffff:ffff:ffff
5132cf:32::/3232cf:32:ffff:ffff:ffff:ffff:ffff:ffff
5232cf:33::/3232cf:33:ffff:ffff:ffff:ffff:ffff:ffff
5332cf:34::/3232cf:34:ffff:ffff:ffff:ffff:ffff:ffff
5432cf:35::/3232cf:35:ffff:ffff:ffff:ffff:ffff:ffff
5532cf:36::/3232cf:36:ffff:ffff:ffff:ffff:ffff:ffff
5632cf:37::/3232cf:37:ffff:ffff:ffff:ffff:ffff:ffff
5732cf:38::/3232cf:38:ffff:ffff:ffff:ffff:ffff:ffff
5832cf:39::/3232cf:39:ffff:ffff:ffff:ffff:ffff:ffff
5932cf:3a::/3232cf:3a:ffff:ffff:ffff:ffff:ffff:ffff
6032cf:3b::/3232cf:3b:ffff:ffff:ffff:ffff:ffff:ffff
6132cf:3c::/3232cf:3c:ffff:ffff:ffff:ffff:ffff:ffff
6232cf:3d::/3232cf:3d:ffff:ffff:ffff:ffff:ffff:ffff
6332cf:3e::/3232cf:3e:ffff:ffff:ffff:ffff:ffff:ffff
6432cf:3f::/3232cf:3f:ffff:ffff:ffff:ffff:ffff:ffff
6532cf:40::/3232cf:40:ffff:ffff:ffff:ffff:ffff:ffff
6632cf:41::/3232cf:41:ffff:ffff:ffff:ffff:ffff:ffff
6732cf:42::/3232cf:42:ffff:ffff:ffff:ffff:ffff:ffff
6832cf:43::/3232cf:43:ffff:ffff:ffff:ffff:ffff:ffff
6932cf:44::/3232cf:44:ffff:ffff:ffff:ffff:ffff:ffff
7032cf:45::/3232cf:45:ffff:ffff:ffff:ffff:ffff:ffff
7132cf:46::/3232cf:46:ffff:ffff:ffff:ffff:ffff:ffff
7232cf:47::/3232cf:47:ffff:ffff:ffff:ffff:ffff:ffff
7332cf:48::/3232cf:48:ffff:ffff:ffff:ffff:ffff:ffff
7432cf:49::/3232cf:49:ffff:ffff:ffff:ffff:ffff:ffff
7532cf:4a::/3232cf:4a:ffff:ffff:ffff:ffff:ffff:ffff
7632cf:4b::/3232cf:4b:ffff:ffff:ffff:ffff:ffff:ffff
7732cf:4c::/3232cf:4c:ffff:ffff:ffff:ffff:ffff:ffff
7832cf:4d::/3232cf:4d:ffff:ffff:ffff:ffff:ffff:ffff
7932cf:4e::/3232cf:4e:ffff:ffff:ffff:ffff:ffff:ffff
8032cf:4f::/3232cf:4f:ffff:ffff:ffff:ffff:ffff:ffff
8132cf:50::/3232cf:50:ffff:ffff:ffff:ffff:ffff:ffff
8232cf:51::/3232cf:51:ffff:ffff:ffff:ffff:ffff:ffff
8332cf:52::/3232cf:52:ffff:ffff:ffff:ffff:ffff:ffff
8432cf:53::/3232cf:53:ffff:ffff:ffff:ffff:ffff:ffff
8532cf:54::/3232cf:54:ffff:ffff:ffff:ffff:ffff:ffff
8632cf:55::/3232cf:55:ffff:ffff:ffff:ffff:ffff:ffff
8732cf:56::/3232cf:56:ffff:ffff:ffff:ffff:ffff:ffff
8832cf:57::/3232cf:57:ffff:ffff:ffff:ffff:ffff:ffff
8932cf:58::/3232cf:58:ffff:ffff:ffff:ffff:ffff:ffff
9032cf:59::/3232cf:59:ffff:ffff:ffff:ffff:ffff:ffff
9132cf:5a::/3232cf:5a:ffff:ffff:ffff:ffff:ffff:ffff
9232cf:5b::/3232cf:5b:ffff:ffff:ffff:ffff:ffff:ffff
9332cf:5c::/3232cf:5c:ffff:ffff:ffff:ffff:ffff:ffff
9432cf:5d::/3232cf:5d:ffff:ffff:ffff:ffff:ffff:ffff
9532cf:5e::/3232cf:5e:ffff:ffff:ffff:ffff:ffff:ffff
9632cf:5f::/3232cf:5f:ffff:ffff:ffff:ffff:ffff:ffff
9732cf:60::/3232cf:60:ffff:ffff:ffff:ffff:ffff:ffff
9832cf:61::/3232cf:61:ffff:ffff:ffff:ffff:ffff:ffff
9932cf:62::/3232cf:62:ffff:ffff:ffff:ffff:ffff:ffff
10032cf:63::/3232cf:63:ffff:ffff:ffff:ffff:ffff:ffff
10132cf:64::/3232cf:64:ffff:ffff:ffff:ffff:ffff:ffff
10232cf:65::/3232cf:65:ffff:ffff:ffff:ffff:ffff:ffff
10332cf:66::/3232cf:66:ffff:ffff:ffff:ffff:ffff:ffff
10432cf:67::/3232cf:67:ffff:ffff:ffff:ffff:ffff:ffff
10532cf:68::/3232cf:68:ffff:ffff:ffff:ffff:ffff:ffff
10632cf:69::/3232cf:69:ffff:ffff:ffff:ffff:ffff:ffff
10732cf:6a::/3232cf:6a:ffff:ffff:ffff:ffff:ffff:ffff
10832cf:6b::/3232cf:6b:ffff:ffff:ffff:ffff:ffff:ffff
10932cf:6c::/3232cf:6c:ffff:ffff:ffff:ffff:ffff:ffff
11032cf:6d::/3232cf:6d:ffff:ffff:ffff:ffff:ffff:ffff
11132cf:6e::/3232cf:6e:ffff:ffff:ffff:ffff:ffff:ffff
11232cf:6f::/3232cf:6f:ffff:ffff:ffff:ffff:ffff:ffff
11332cf:70::/3232cf:70:ffff:ffff:ffff:ffff:ffff:ffff
11432cf:71::/3232cf:71:ffff:ffff:ffff:ffff:ffff:ffff
11532cf:72::/3232cf:72:ffff:ffff:ffff:ffff:ffff:ffff
11632cf:73::/3232cf:73:ffff:ffff:ffff:ffff:ffff:ffff
11732cf:74::/3232cf:74:ffff:ffff:ffff:ffff:ffff:ffff
11832cf:75::/3232cf:75:ffff:ffff:ffff:ffff:ffff:ffff
11932cf:76::/3232cf:76:ffff:ffff:ffff:ffff:ffff:ffff
12032cf:77::/3232cf:77:ffff:ffff:ffff:ffff:ffff:ffff
12132cf:78::/3232cf:78:ffff:ffff:ffff:ffff:ffff:ffff
12232cf:79::/3232cf:79:ffff:ffff:ffff:ffff:ffff:ffff
12332cf:7a::/3232cf:7a:ffff:ffff:ffff:ffff:ffff:ffff
12432cf:7b::/3232cf:7b:ffff:ffff:ffff:ffff:ffff:ffff
12532cf:7c::/3232cf:7c:ffff:ffff:ffff:ffff:ffff:ffff
12632cf:7d::/3232cf:7d:ffff:ffff:ffff:ffff:ffff:ffff
12732cf:7e::/3232cf:7e:ffff:ffff:ffff:ffff:ffff:ffff
12832cf:7f::/3232cf:7f:ffff:ffff:ffff:ffff:ffff:ffff
12932cf:80::/3232cf:80:ffff:ffff:ffff:ffff:ffff:ffff
13032cf:81::/3232cf:81:ffff:ffff:ffff:ffff:ffff:ffff
13132cf:82::/3232cf:82:ffff:ffff:ffff:ffff:ffff:ffff
13232cf:83::/3232cf:83:ffff:ffff:ffff:ffff:ffff:ffff
13332cf:84::/3232cf:84:ffff:ffff:ffff:ffff:ffff:ffff
13432cf:85::/3232cf:85:ffff:ffff:ffff:ffff:ffff:ffff
13532cf:86::/3232cf:86:ffff:ffff:ffff:ffff:ffff:ffff
13632cf:87::/3232cf:87:ffff:ffff:ffff:ffff:ffff:ffff
13732cf:88::/3232cf:88:ffff:ffff:ffff:ffff:ffff:ffff
13832cf:89::/3232cf:89:ffff:ffff:ffff:ffff:ffff:ffff
13932cf:8a::/3232cf:8a:ffff:ffff:ffff:ffff:ffff:ffff
14032cf:8b::/3232cf:8b:ffff:ffff:ffff:ffff:ffff:ffff
14132cf:8c::/3232cf:8c:ffff:ffff:ffff:ffff:ffff:ffff
14232cf:8d::/3232cf:8d:ffff:ffff:ffff:ffff:ffff:ffff
14332cf:8e::/3232cf:8e:ffff:ffff:ffff:ffff:ffff:ffff
14432cf:8f::/3232cf:8f:ffff:ffff:ffff:ffff:ffff:ffff
14532cf:90::/3232cf:90:ffff:ffff:ffff:ffff:ffff:ffff
14632cf:91::/3232cf:91:ffff:ffff:ffff:ffff:ffff:ffff
14732cf:92::/3232cf:92:ffff:ffff:ffff:ffff:ffff:ffff
14832cf:93::/3232cf:93:ffff:ffff:ffff:ffff:ffff:ffff
14932cf:94::/3232cf:94:ffff:ffff:ffff:ffff:ffff:ffff
15032cf:95::/3232cf:95:ffff:ffff:ffff:ffff:ffff:ffff
15132cf:96::/3232cf:96:ffff:ffff:ffff:ffff:ffff:ffff
15232cf:97::/3232cf:97:ffff:ffff:ffff:ffff:ffff:ffff
15332cf:98::/3232cf:98:ffff:ffff:ffff:ffff:ffff:ffff
15432cf:99::/3232cf:99:ffff:ffff:ffff:ffff:ffff:ffff
15532cf:9a::/3232cf:9a:ffff:ffff:ffff:ffff:ffff:ffff
15632cf:9b::/3232cf:9b:ffff:ffff:ffff:ffff:ffff:ffff
15732cf:9c::/3232cf:9c:ffff:ffff:ffff:ffff:ffff:ffff
15832cf:9d::/3232cf:9d:ffff:ffff:ffff:ffff:ffff:ffff
15932cf:9e::/3232cf:9e:ffff:ffff:ffff:ffff:ffff:ffff
16032cf:9f::/3232cf:9f:ffff:ffff:ffff:ffff:ffff:ffff
16132cf:a0::/3232cf:a0:ffff:ffff:ffff:ffff:ffff:ffff
16232cf:a1::/3232cf:a1:ffff:ffff:ffff:ffff:ffff:ffff
16332cf:a2::/3232cf:a2:ffff:ffff:ffff:ffff:ffff:ffff
16432cf:a3::/3232cf:a3:ffff:ffff:ffff:ffff:ffff:ffff
16532cf:a4::/3232cf:a4:ffff:ffff:ffff:ffff:ffff:ffff
16632cf:a5::/3232cf:a5:ffff:ffff:ffff:ffff:ffff:ffff
16732cf:a6::/3232cf:a6:ffff:ffff:ffff:ffff:ffff:ffff
16832cf:a7::/3232cf:a7:ffff:ffff:ffff:ffff:ffff:ffff
16932cf:a8::/3232cf:a8:ffff:ffff:ffff:ffff:ffff:ffff
17032cf:a9::/3232cf:a9:ffff:ffff:ffff:ffff:ffff:ffff
17132cf:aa::/3232cf:aa:ffff:ffff:ffff:ffff:ffff:ffff
17232cf:ab::/3232cf:ab:ffff:ffff:ffff:ffff:ffff:ffff
17332cf:ac::/3232cf:ac:ffff:ffff:ffff:ffff:ffff:ffff
17432cf:ad::/3232cf:ad:ffff:ffff:ffff:ffff:ffff:ffff
17532cf:ae::/3232cf:ae:ffff:ffff:ffff:ffff:ffff:ffff
17632cf:af::/3232cf:af:ffff:ffff:ffff:ffff:ffff:ffff
17732cf:b0::/3232cf:b0:ffff:ffff:ffff:ffff:ffff:ffff
17832cf:b1::/3232cf:b1:ffff:ffff:ffff:ffff:ffff:ffff
17932cf:b2::/3232cf:b2:ffff:ffff:ffff:ffff:ffff:ffff
18032cf:b3::/3232cf:b3:ffff:ffff:ffff:ffff:ffff:ffff
18132cf:b4::/3232cf:b4:ffff:ffff:ffff:ffff:ffff:ffff
18232cf:b5::/3232cf:b5:ffff:ffff:ffff:ffff:ffff:ffff
18332cf:b6::/3232cf:b6:ffff:ffff:ffff:ffff:ffff:ffff
18432cf:b7::/3232cf:b7:ffff:ffff:ffff:ffff:ffff:ffff
18532cf:b8::/3232cf:b8:ffff:ffff:ffff:ffff:ffff:ffff
18632cf:b9::/3232cf:b9:ffff:ffff:ffff:ffff:ffff:ffff
18732cf:ba::/3232cf:ba:ffff:ffff:ffff:ffff:ffff:ffff
18832cf:bb::/3232cf:bb:ffff:ffff:ffff:ffff:ffff:ffff
18932cf:bc::/3232cf:bc:ffff:ffff:ffff:ffff:ffff:ffff
19032cf:bd::/3232cf:bd:ffff:ffff:ffff:ffff:ffff:ffff
19132cf:be::/3232cf:be:ffff:ffff:ffff:ffff:ffff:ffff
19232cf:bf::/3232cf:bf:ffff:ffff:ffff:ffff:ffff:ffff
19332cf:c0::/3232cf:c0:ffff:ffff:ffff:ffff:ffff:ffff
19432cf:c1::/3232cf:c1:ffff:ffff:ffff:ffff:ffff:ffff
19532cf:c2::/3232cf:c2:ffff:ffff:ffff:ffff:ffff:ffff
19632cf:c3::/3232cf:c3:ffff:ffff:ffff:ffff:ffff:ffff
19732cf:c4::/3232cf:c4:ffff:ffff:ffff:ffff:ffff:ffff
19832cf:c5::/3232cf:c5:ffff:ffff:ffff:ffff:ffff:ffff
19932cf:c6::/3232cf:c6:ffff:ffff:ffff:ffff:ffff:ffff
20032cf:c7::/3232cf:c7:ffff:ffff:ffff:ffff:ffff:ffff
20132cf:c8::/3232cf:c8:ffff:ffff:ffff:ffff:ffff:ffff
20232cf:c9::/3232cf:c9:ffff:ffff:ffff:ffff:ffff:ffff
20332cf:ca::/3232cf:ca:ffff:ffff:ffff:ffff:ffff:ffff
20432cf:cb::/3232cf:cb:ffff:ffff:ffff:ffff:ffff:ffff
20532cf:cc::/3232cf:cc:ffff:ffff:ffff:ffff:ffff:ffff
20632cf:cd::/3232cf:cd:ffff:ffff:ffff:ffff:ffff:ffff
20732cf:ce::/3232cf:ce:ffff:ffff:ffff:ffff:ffff:ffff
20832cf:cf::/3232cf:cf:ffff:ffff:ffff:ffff:ffff:ffff
20932cf:d0::/3232cf:d0:ffff:ffff:ffff:ffff:ffff:ffff
21032cf:d1::/3232cf:d1:ffff:ffff:ffff:ffff:ffff:ffff
21132cf:d2::/3232cf:d2:ffff:ffff:ffff:ffff:ffff:ffff
21232cf:d3::/3232cf:d3:ffff:ffff:ffff:ffff:ffff:ffff
21332cf:d4::/3232cf:d4:ffff:ffff:ffff:ffff:ffff:ffff
21432cf:d5::/3232cf:d5:ffff:ffff:ffff:ffff:ffff:ffff
21532cf:d6::/3232cf:d6:ffff:ffff:ffff:ffff:ffff:ffff
21632cf:d7::/3232cf:d7:ffff:ffff:ffff:ffff:ffff:ffff
21732cf:d8::/3232cf:d8:ffff:ffff:ffff:ffff:ffff:ffff
21832cf:d9::/3232cf:d9:ffff:ffff:ffff:ffff:ffff:ffff
21932cf:da::/3232cf:da:ffff:ffff:ffff:ffff:ffff:ffff
22032cf:db::/3232cf:db:ffff:ffff:ffff:ffff:ffff:ffff
22132cf:dc::/3232cf:dc:ffff:ffff:ffff:ffff:ffff:ffff
22232cf:dd::/3232cf:dd:ffff:ffff:ffff:ffff:ffff:ffff
22332cf:de::/3232cf:de:ffff:ffff:ffff:ffff:ffff:ffff
22432cf:df::/3232cf:df:ffff:ffff:ffff:ffff:ffff:ffff
22532cf:e0::/3232cf:e0:ffff:ffff:ffff:ffff:ffff:ffff
22632cf:e1::/3232cf:e1:ffff:ffff:ffff:ffff:ffff:ffff
22732cf:e2::/3232cf:e2:ffff:ffff:ffff:ffff:ffff:ffff
22832cf:e3::/3232cf:e3:ffff:ffff:ffff:ffff:ffff:ffff
22932cf:e4::/3232cf:e4:ffff:ffff:ffff:ffff:ffff:ffff
23032cf:e5::/3232cf:e5:ffff:ffff:ffff:ffff:ffff:ffff
23132cf:e6::/3232cf:e6:ffff:ffff:ffff:ffff:ffff:ffff
23232cf:e7::/3232cf:e7:ffff:ffff:ffff:ffff:ffff:ffff
23332cf:e8::/3232cf:e8:ffff:ffff:ffff:ffff:ffff:ffff
23432cf:e9::/3232cf:e9:ffff:ffff:ffff:ffff:ffff:ffff
23532cf:ea::/3232cf:ea:ffff:ffff:ffff:ffff:ffff:ffff
23632cf:eb::/3232cf:eb:ffff:ffff:ffff:ffff:ffff:ffff
23732cf:ec::/3232cf:ec:ffff:ffff:ffff:ffff:ffff:ffff
23832cf:ed::/3232cf:ed:ffff:ffff:ffff:ffff:ffff:ffff
23932cf:ee::/3232cf:ee:ffff:ffff:ffff:ffff:ffff:ffff
24032cf:ef::/3232cf:ef:ffff:ffff:ffff:ffff:ffff:ffff
24132cf:f0::/3232cf:f0:ffff:ffff:ffff:ffff:ffff:ffff
24232cf:f1::/3232cf:f1:ffff:ffff:ffff:ffff:ffff:ffff
24332cf:f2::/3232cf:f2:ffff:ffff:ffff:ffff:ffff:ffff
24432cf:f3::/3232cf:f3:ffff:ffff:ffff:ffff:ffff:ffff
24532cf:f4::/3232cf:f4:ffff:ffff:ffff:ffff:ffff:ffff
24632cf:f5::/3232cf:f5:ffff:ffff:ffff:ffff:ffff:ffff
24732cf:f6::/3232cf:f6:ffff:ffff:ffff:ffff:ffff:ffff
24832cf:f7::/3232cf:f7:ffff:ffff:ffff:ffff:ffff:ffff
24932cf:f8::/3232cf:f8:ffff:ffff:ffff:ffff:ffff:ffff
25032cf:f9::/3232cf:f9:ffff:ffff:ffff:ffff:ffff:ffff
25132cf:fa::/3232cf:fa:ffff:ffff:ffff:ffff:ffff:ffff
25232cf:fb::/3232cf:fb:ffff:ffff:ffff:ffff:ffff:ffff
25332cf:fc::/3232cf:fc:ffff:ffff:ffff:ffff:ffff:ffff
25432cf:fd::/3232cf:fd:ffff:ffff:ffff:ffff:ffff:ffff
25532cf:fe::/3232cf:fe:ffff:ffff:ffff:ffff:ffff:ffff
25632cf:ff::/3232cf:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses